Subject: [bug#66436] [PATCH v2] doc: Add some guidelines for reviewing.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 31 Oct 2023 14:53:45 -0400

Hi Simon,

Simon Tournier <[email-masked]> writes:

> Re,
>
> On Tue, 24 Oct 2023 at 10:49, Simon Tournier <[email-masked]> wrote:
>
>>> --8<---------------cut here---------------start------------->8---
>>> +Perhaps the biggest action you can do to help GNU Guix grow as a project
>>> +is to review the work contributed by others.  You do not need to be a
>>> +committer to do so; applying, reading the source, building, linting and
>>> +running other people's series and sharing your comments about your
>>> +experience will give some confidence to committers, and should result in
>>> +the proposed change being merged faster.
>>> --8<---------------cut here---------------end--------------->8---
>
> [...]
>
>> IMHO, it is worth to clearly state:
>>
>>  1. what helps the review process:
>>
>>     « applying, reading the source, building, linting and running other
>>     people's series and sharing your comments about your experience will
>>     give some confidence to committers, and should result in the
>>     proposed change being merged faster. »
>
> Although I do not know if it is the right place, I would mention that
> “building” also means that the dependants still build or clearly
> indicate if something breaks.

That's already mentioned in 'Submitting Patches':

  9. Check that dependent packages (if applicable) are not affected by
     the change; ‘guix refresh --list-dependent PACKAGE’ will help you
     do that (*note Invoking guix refresh::).

I don't think we should repeat it here :-) (also, we now have CI, which
should be more apt at catching breakage here).

--
Thanks,
Maxim